## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_without check
%global debug_package %{nil}

%global crate trust-dns-server

Name:           rust-trust-dns-server
Version:        0.23.2
Release:        %autorelease
Summary:        Trust-DNS is a safe and secure DNS server with DNSSEC support

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/trust-dns-server
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * temporarily relax rusqlite dependency from ^0.29 to >=0.28,<0.30
# * dynamically link with SQLite instead of statically linking a bundled copy
# * remove unused tracing-subscriber dev-dependency
Patch:          trust-dns-server-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Trust-DNS is a safe and secure DNS server with DNSSEC support.
Eventually this could be a replacement for BIND9. The DNSSEC support
allows  for live signing of all records, in it does not currently
support  records signed offline. The server supports dynamic DNS with
SIG0 authenticated  requests. Trust-DNS is based on the Tokio and
Futures libraries, which means  it should be easily integrated into
other software that also use those  libraries.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+backtrace-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+backtrace-devel %{_description}

This package contains library source intended for building other packages which
use the "backtrace" feature of the "%{crate}" crate.

%files       -n %{name}+backtrace-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dns-over-https-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dns-over-https-devel %{_description}

This package contains library source intended for building other packages which
use the "dns-over-https" feature of the "%{crate}" crate.

%files       -n %{name}+dns-over-https-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dns-over-https-rustls-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dns-over-https-rustls-devel %{_description}

This package contains library source intended for building other packages which
use the "dns-over-https-rustls" feature of the "%{crate}" crate.

%files       -n %{name}+dns-over-https-rustls-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dns-over-openssl-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dns-over-openssl-devel %{_description}

This package contains library source intended for building other packages which
use the "dns-over-openssl" feature of the "%{crate}" crate.

%files       -n %{name}+dns-over-openssl-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dns-over-quic-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dns-over-quic-devel %{_description}

This package contains library source intended for building other packages which
use the "dns-over-quic" feature of the "%{crate}" crate.

%files       -n %{name}+dns-over-quic-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dns-over-rustls-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dns-over-rustls-devel %{_description}

This package contains library source intended for building other packages which
use the "dns-over-rustls" feature of the "%{crate}" crate.

%files       -n %{name}+dns-over-rustls-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dns-over-tls-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dns-over-tls-devel %{_description}

This package contains library source intended for building other packages which
use the "dns-over-tls" feature of the "%{crate}" crate.

%files       -n %{name}+dns-over-tls-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dnssec-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dnssec-devel %{_description}

This package contains library source intended for building other packages which
use the "dnssec" feature of the "%{crate}" crate.

%files       -n %{name}+dnssec-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dnssec-openssl-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dnssec-openssl-devel %{_description}

This package contains library source intended for building other packages which
use the "dnssec-openssl" feature of the "%{crate}" crate.

%files       -n %{name}+dnssec-openssl-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dnssec-ring-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dnssec-ring-devel %{_description}

This package contains library source intended for building other packages which
use the "dnssec-ring" feature of the "%{crate}" crate.

%files       -n %{name}+dnssec-ring-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+h2-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+h2-devel %{_description}

This package contains library source intended for building other packages which
use the "h2" feature of the "%{crate}" crate.

%files       -n %{name}+h2-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+http-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+http-devel %{_description}

This package contains library source intended for building other packages which
use the "http" feature of the "%{crate}" crate.

%files       -n %{name}+http-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+openssl-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+openssl-devel %{_description}

This package contains library source intended for building other packages which
use the "openssl" feature of the "%{crate}" crate.

%files       -n %{name}+openssl-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+recursor-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+recursor-devel %{_description}

This package contains library source intended for building other packages which
use the "recursor" feature of the "%{crate}" crate.

%files       -n %{name}+recursor-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+resolver-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+resolver-devel %{_description}

This package contains library source intended for building other packages which
use the "resolver" feature of the "%{crate}" crate.

%files       -n %{name}+resolver-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rusqlite-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rusqlite-devel %{_description}

This package contains library source intended for building other packages which
use the "rusqlite" feature of the "%{crate}" crate.

%files       -n %{name}+rusqlite-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rustls-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rustls-devel %{_description}

This package contains library source intended for building other packages which
use the "rustls" feature of the "%{crate}" crate.

%files       -n %{name}+rustls-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+sqlite-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+sqlite-devel %{_description}

This package contains library source intended for building other packages which
use the "sqlite" feature of the "%{crate}" crate.

%files       -n %{name}+sqlite-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+testing-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+testing-devel %{_description}

This package contains library source intended for building other packages which
use the "testing" feature of the "%{crate}" crate.

%files       -n %{name}+testing-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tls-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tls-devel %{_description}

This package contains library source intended for building other packages which
use the "tls" feature of the "%{crate}" crate.

%files       -n %{name}+tls-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tls-openssl-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tls-openssl-devel %{_description}

This package contains library source intended for building other packages which
use the "tls-openssl" feature of the "%{crate}" crate.

%files       -n %{name}+tls-openssl-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tokio-openssl-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tokio-openssl-devel %{_description}

This package contains library source intended for building other packages which
use the "tokio-openssl" feature of the "%{crate}" crate.

%files       -n %{name}+tokio-openssl-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tokio-rustls-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tokio-rustls-devel %{_description}

This package contains library source intended for building other packages which
use the "tokio-rustls" feature of the "%{crate}" crate.

%files       -n %{name}+tokio-rustls-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+trust-dns-recursor-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+trust-dns-recursor-devel %{_description}

This package contains library source intended for building other packages which
use the "trust-dns-recursor" feature of the "%{crate}" crate.

%files       -n %{name}+trust-dns-recursor-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+trust-dns-resolver-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+trust-dns-resolver-devel %{_description}

This package contains library source intended for building other packages which
use the "trust-dns-resolver" feature of the "%{crate}" crate.

%files       -n %{name}+trust-dns-resolver-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep
# * drop tests which require files that are not included in published crates
rm tests/config_tests.rs
rm tests/store_file_tests.rs

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * skip tests which require files that are not included in published crates
%cargo_test -- -- --exact --skip store::file::authority::tests::test_load_zone
%endif

%changelog
## START: Generated by rpmautospec
* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.23.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.23.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Nov 22 2023 Fabio Valentini <decathorpe@gmail.com> - 0.23.2-1
- Update to version 0.23.2; Fixes RHBZ#2245717

* Fri Oct 20 2023 Fabio Valentini <decathorpe@gmail.com> - 0.23.1-1
- Update to version 0.23.1; Fixes RHBZ#2233600

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.22.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sun Jun 04 2023 Fabio Valentini <decathorpe@gmail.com> - 0.22.1-1
- Initial import (#2187781)
## END: Generated by rpmautospec
